#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		srel	%(echo 14.4.0.0 | cut -d '.' -f3-4)
%global		relver	%(echo 14.4.0.0 | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	osukiss-release
Version		:	%{relver}
Release		:	%{srel}%{?dist}
Summary		:	Osukiss release number
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2

Source0		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

Requires	:	filesystem

Provides	:	redhat-release
Provides	:	system-release

Obsoletes	:	basic	=	0.0.0
#-----------------------------------------------------------------------------
%description
Osukiss release information files

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%attr (0750,root,root) %{_bindir}/ok_upgrade
%{_sysconfdir}/%{name}
%{_sysconfdir}/redhat-release
%{_sysconfdir}/system-release
%{_sysconfdir}/os-release

#=============================================================================
#defining the basic package Installation (from LFS)
%package 		-n release-basic

Summary		:	LFS basic packages

Recommends	:	%{name}
Recommends	:       autoconf
Recommends	:       automake
Recommends	:       bash
Recommends	:       bc
Recommends	:       bison
Recommends	:       bzip
Recommends	:       cpio
Recommends	:       createrepo
Recommends	:       cmake
Recommends	:       diffutils
Recommends	:       e2fsprogs
Recommends	:       ed
Recommends	:       file
Recommends	:       findutils
Recommends	:       gcc
Recommends	:       gettext
Recommends	:       gperf
Recommends	:       grep
Recommends	:       groff
Recommends	:       git
Recommends	:       glibc
Recommends	:       gzip
Recommends	:       help2man
Recommends	:       iana-etc
Recommends	:       kmod
Recommends	:       libESMTP
Recommends	:       libpipeline
Recommends	:       libtool
Recommends	:       libuv
Recommends	:       libburn
Recommends	:	libisofs
Recommends	:       livecd-tools
Recommends	:       lsof
Recommends	:       lzip
Recommends	:       m4
Recommends	:       make
Recommends	:       make-ca
Recommends	:       man-db
Recommends	:       man-pages
Recommends	:       ncurses
Recommends	:       openssh-clients
Recommends	:       patch
Recommends	:       perl
Recommends	:       procps-ng
Recommends	:       psmisc
Recommends	:       python2
Recommends	:       python2-setuptools
Recommends	:       readline
Recommends	:       rpm
Recommends	:       rsync
Recommends	:       sash
Recommends	:       sed
Recommends	:	shadow
Recommends	:	squashfs-tools
Recommends	:	sudo
Recommends	:	syslinux
Recommends	:       tar
Recommends	:       tcl
Recommends	:       texinfo
Recommends	:       time
Recommends	:       tz-data-code
Recommends	:       unzip
Recommends	:       valgrind
Recommends	:       vim
Recommends	:       wget
Recommends	:       which
Recommends	:       XML-Parser
Recommends	:       zypper

#-----------------------------------------------------------------------------
%description		-n release-basic
This packages needed to bootstrap Osukiss from LFS 

#-----------------------------------------------------------------------------
%files			-n release-basic

#=============================================================================
#defining the very minimal installation packaging
%package		-n release-minimal

Summary		:	minimal packages installation

Requires	:	%{name}
Requires	:	LVM2
Requires	:	at
Requires	:	autofs
Requires	:	bash
Requires	:	binutils
Requires	:	bluez
Requires	:	blueman
Requires	:	broadcom-bt-firmware
Requires	:	coreutils
Requires	:	cpio
Requires	:	cronie
Requires	:	chrony
Requires	:	dhcp-client
Requires	:	dovecot
Requires	:	diffutils
Requires	:	dmidecode
Requires	:	e2fsprogs
Requires	:	ed
Requires	:	ethtool
Requires	:	eudev
Requires	:	findutils
Requires	:	frr
Requires	:	gptfdisk
Requires	:	grep
Requires	:	groff
Requires	:	grub
Requires	:	gzip
Requires	:	hdparm
Requires	:	haveged
Requires	:	iana-etc
Requires	:	inetutils
Requires	:	intltool
Requires	:	iproute2
Requires	:	iptables-config
Requires	:	kbd
Requires	:	linux
Requires	:	linux-firmware
Requires	:	kmod
Requires	:	less
Requires	:	logrotate
Requires	:	lsb-release
Requires	:	lzip
Requires	:	make-ca
Requires	:	mdadm
Requires	:       man-db
Requires	:	man-pages
Requires	:	mkinitramfs
Requires	:	net-tools
Requires	:	nfs-client
Requires	:	openssh-clients
Requires	:       openssh-server
Requires	:	parted
Requires	:	pciutils
Requires	:	procps-ng
Requires	:	psmisc
Requires	:	rng-tools
Requires	:	rpm
Requires	:	rsync
Requires	:	sed
Requires	:	setup
Requires	:	shadow
Requires	:	s-nail
Requires	:	sudo
Requires	:	sysvinit
Requires	:	syslinux
Requires	:	sysklogd
Requires	:	tar
Requires	:	terminus-font
Requires	:	time
Requires	:	tcpdump
Requires	:	traceroute
Requires	:	tz-data-code
Requires	:	ulogd
Requires	:	vim
Requires	:	which
Requires	:	wpa_supplicant
Requires	:	zypper

#-----------------------------------------------------------------------------
%description		-n release-minimal
This package needs ALL other minimal package components
(bash, vim, utils-linux, etc.)

#-----------------------------------------------------------------------------
%files			-n release-minimal

#=============================================================================
#defining a basic installation packaging
%package		-n release-base

Summary		:	Basic packages installation

Requires	:	release-minimal
Requires	:	release-basic
Recommends	:	acpid
Recommends	:	at
Recommends	:	bridge-utils
Recommends	:	cronie
Recommends	:	chrony
Recommends	:	kbd
Recommends	:	nullmailer
Recommends	:	pv
Recommends	:	sysstat
Recommends	:	s-nail
Recommends	:	tree

#-----------------------------------------------------------------------------
%description		-n release-base
This package needs ALL other basic package components
(starting ppoint for a production system)

#-----------------------------------------------------------------------------
%files			-n release-base

#-----------------------------------------------------------------------------
#defining the server mod installation package
%package		-n release-server

Summary		:	server mode packages installation
Recommends	:	bind
Recommends	:	cpufreq
Recommends	:	cups-filters
Recommends	:	dhcp-server
Recommends	:	httpd
Recommends	:	whois
Recommends	:	openssh-server
Recommends	:	openvpn
Recommends	:	python3-certbot-apache
Recommends	:	tcpdump
Recommends	:	vzgot

#-----------------------------------------------------------------------------
%description		-n release-server
This package needs all package components to have a
working server

#-----------------------------------------------------------------------------
%files			-n release-server

#=============================================================================
#defining the a rescue installation packaging
%package		-n release-rescue
Summary		:	Minimal Packages set for liveCDF rescue mission

Requires	:	%{name}
Requires	:	LVM2
Requires	:	bash
Requires	:	bind-utils
Requires	:	broadcom-bt-firmware
Requires	:	coreutils
Requires	:	cpio
Requires	:	diffutils
Requires	:	dhcp-client
Requires	:	eudev
Requires	:	gptfdisk
Requires	:	hdparm
Requires	:	iana-etc
Requires	:	inetutils
Requires	:	iproute2
Requires	:	kbd
Requires	:	linux
Requires	:	lfs-bootscripts
Requires	:	links
Requires	:	lsof
Requires	:	mdadm
Requires	:	net-tools
Requires	:	nfs-client
Requires	:	ntfs-3g
Requires	:	nullmailer
Requires	:	openssh-clients
Requires	:	openssh-server
Requires	:	pciutils
Requires	:	parted
Requires	:	rng-tools
Requires	:	setup
Requires	:	smartmontools
Requires	:	s-nail
Requires	:	strace
Requires	:	sysklogd
Requires	:	sysvinit
Requires	:	terminus-font
Requires	:	usbutils
Requires	:	util-linux
Requires	:	vim
Requires	:	wget
Requires	:	wpa_supplicant
Requires	:	which
Requires	:	zypper

Requires	:	release-zfs
Requires	:	installok

#-----------------------------------------------------------------------------
%description		-n release-rescue
This package needs make System rescue and installation

#-----------------------------------------------------------------------------
%files			-n release-rescue

#=============================================================================
#defining the developpement installation packaging
%package		-n release-devel

Summary		:	Developpement packages installation

Requires	:	%{name}
Recommends	:	XML-Parser
Recommends	:	acl
Recommends	:	apr
Recommends	:	apr-util
Recommends	:	asciidoc
Recommends	:	audit
Recommends	:	autoconf
Recommends	:	autoconf-old
Recommends	:	automake
Recommends	:	bash
Recommends	:	bc
Recommends	:	binutils
Recommends	:       bison
Recommends	:	c-ares
Recommends	:       check
Recommends	:       cdrkit
Recommends	:	cmake
Recommends	:	coreutils
Recommends	:	cpio
Recommends	:	createrepo
Recommends	:	diffutils
Recommends	:       dejagnu
Recommends	:       docbook-xml
Recommends	:       docbook-xsl
Recommends	:	e2fsprogs
Recommends	:	ed
Recommends	:	emacs
Recommends	:	eudev
Recommends	:	expect
Recommends	:	file
Recommends	:	findutils
Recommends	:	fontconfig
Recommends	:	freetype
Recommends	:	fribidi
Recommends	:	gperf
Recommends	:	gettext
Recommends	:	gcc
Recommends	:	gcc-c++
Recommends	:	gdb
Recommends	:	git
Recommends	:	gpm
Recommends	:	grep
Recommends	:	gzip
Recommends	:       harfbuzz
Recommends	:       help2man
Recommends	:       intltool
Recommends	:	inetutils
Recommends	:	iso-codes
Recommends	:	linux-headers
Recommends	:	jansson
Recommends	:	lame
Recommends	:	libass
Recommends	:	libdvdread
Recommends	:	libevdev
Recommends	:	libgpg-error
Recommends	:	libgcrypt
Recommends	:       libisoburn
Recommends	:       libjpeg-turbo
Recommends	:	libmnl
Recommends	:	libnfnetlink
Recommends	:	libnetfilter_log
Recommends	:	libnetfilter_conntrack
Recommends	:	libnetfilter_acct
Recommends	:	libnetfilter_acct
Recommends	:       libogg
Recommends	:       libpng
Recommends	:       libpthread-stubs
Recommends	:       libsamplerate
Recommends	:       libtheora
Recommends	:       libtiff
Recommends	:       libtirpc
Recommends	:       libtool
Recommends	:       libvorbis
Recommends	:	libxml2
Recommends	:	libxslt
Recommends	:	links
Recommends	:	livecd-tools
Recommends	:	m4
Recommends	:	man-db
Recommends	:	make
Recommends	:	meson
Recommends	:	mtdev
Recommends	:	nasm
Recommends	:	net-tools
Recommends	:	ninja
Recommends	:	openssh-clients
Recommends	:	opus
Recommends	:	parallel
Recommends	:	patch
Recommends	:	perl-IO-Socket-SSL
Recommends	:	perl-Net-SSLeay
Recommends	:	perl-URI
Recommends	:	php
Recommends	:	procps-ng
Recommends	:	python2
Recommends	:	python3
Recommends	:       readline
Recommends	:       rpm
Recommends	:       rpmlint
Recommends	:       rsync
Recommends	:       sed
Recommends	:       sgml-common
Recommends	:       shared-mime-info
Recommends	:       squashfs-tools
Recommends	:	strace
Recommends	:	sudo
Recommends	:	swig
Recommends	:	tar
Recommends	:	tcl
Recommends	:	texinfo
Recommends	:	time
Recommends	:	tz-data-code
Recommends	:       unzip
Recommends	:	valgrind
Recommends	:	vim
Recommends	:	wget
Recommends	:	which
Recommends	:	x264
Recommends	:	xmlto
Recommends	:	zypper

#-----------------------------------------------------------------------------
%description		-n release-devel
This package needs ALL other developpement package
components (compiler, interpreter, etc..)

#-----------------------------------------------------------------------------
%files			-n release-devel

#=============================================================================
#defining release with package needed by vzgot template
%package		-n release-vzgot

Summary		:	Minimal packages set needed by vzgot

Requires	:	%{name}
Recommends	:	bash
Recommends	:	coreutils
Recommends	:	diffutils
Recommends	:	findutils
Recommends	:	grep
Recommends	:	libnetfilter_acct
Recommends	:	libnetfilter_conntrack
Recommends	:	libnetfilter_log
Recommends	:	kmod
Recommends	:	iana-etc
Recommends	:	iproute2
Recommends	:	iptables-config
Recommends	:	make-ca
Recommends	:	man-db
Recommends	:	nullmailer
Recommends	:	net-tools
Recommends	:	openssh-server
Recommends	:	procps-ng
Recommends	:	rpm
Recommends	:	rsync
Recommends	:	s-nail
Recommends	:	strace
Recommends	:	sudo
Recommends	:	sysklogd
Recommends	:	sysvinit
Recommends	:	tcpdump
Recommends	:	traceroute
Recommends	:	tz-data-code
Recommends	:	ulogd
Recommends	:	vim
Recommends	:	which
Recommends	:	wget
Recommends	:	zypper

#-----------------------------------------------------------------------------
%description		-n release-vzgot
This package collect all packages need to build a vzgot container


#-----------------------------------------------------------------------------
%files			-n release-vzgot

#=============================================================================
#defining release with package needed to use zfs
%package		-n release-zfs
Summary		:	packages need to have ZFS file system working

Requires	:	zfs

%description		-n release-zfs
This package collect all packages need to have zfs working

#-----------------------------------------------------------------------------
%files			-n release-zfs

#=============================================================================
#defining xorg release
%package		-n release-xorg

Summary		:	Packages needed by xorg graphic server

Requires	:	%{name}
Recommends	:	hicolor-icon-theme
Recommends	:	iceauth
Recommends	:	lshw
Recommends	:	luit
Recommends	:	libepoxy
Recommends	:	mkfontdir
Recommends	:	mkfontscale
Recommends	:	upower
Recommends	:	polkit
Recommends	:	sessreg
Recommends	:	setxkbmap
Recommends	:	smproxy
Recommends	:	tz-data-code
Recommends	:	twm
Recommends	:	wmctrl
Recommends	:	x11perf
Recommends	:	xauth
Recommends	:	xbacklight
Recommends	:	xclock
Recommends	:	xcmsdb
Recommends	:	xcursorgen
Recommends	:	xcursor-themes
Recommends	:	xdpyinfo
Recommends	:	xdriinfo
Recommends	:	xev
Recommends	:	xf86-input-libinput
Recommends	:	xf86-video-amdgpu
Recommends	:	xf86-video-ati
Recommends	:	xf86-video-fbdev
Recommends	:	xf86-video-intel
Recommends	:	xf86-video-mga
Recommends	:	xf86-video-nouveau
Recommends	:	xf86-video-vesa
Recommends	:	xgamma
Recommends	:	xhost
Recommends	:	xinput
Recommends	:	xkbcomp
Recommends	:	xkbevd
Recommends	:	xkbutils
Recommends	:	xkill
Recommends	:	xlsatoms
Recommends	:	xlsclients
Recommends	:	xmessage
Recommends	:	xmodmap
Recommends	:	xorg-x11-fonts-misc
Recommends	:	xorg-x11-fonts-Type1
Recommends	:	xorg-x11-xinit
Recommends	:	xpr
Recommends	:	xprop
Recommends	:	xrandr

#-----------------------------------------------------------------------------
%description		-n release-xorg
This package collect all packages needed to usable xorg graphic

#-----------------------------------------------------------------------------
%files			-n release-xorg

#=============================================================================
#defining Openbox release
%package		-n release-openbox

Summary		:	Packages needed by openbox graphic system

Requires	:	%{name}
Recommends	:	release-xorg
Recommends	:	openbox
Recommends	:	sddm
Recommends	:	thunar

#-----------------------------------------------------------------------------
%description		-n release-openbox
This package collect all packages needed to usable openbox window manager

#-----------------------------------------------------------------------------
%files			-n release-openbox

#=============================================================================
#defining mate release
%package		-n release-mate

Summary		:	Packages needed by mate graphic system

Requires	:	%{name}
Recommends	:	release-xorg
Recommends	:	alsa-firmware
Recommends	:	alsa-lib
Recommends	:	alsa-utils
Recommends	:	caja
Recommends	:	engrampa
Recommends	:	eom
Recommends	:	epiphany
Recommends	:	firefox
Recommends	:	marco
Recommends	:	gnome-disk-utility
Recommends	:	gvfs
Recommends	:	linux-firmware
Recommends	:	mate-applets
Recommends	:	mate-backgrounds
Recommends	:	mate-calc
Recommends	:	mate-control-center
Recommends	:	mate-desktop
Recommends	:	mate-icon-theme
Recommends	:	mate-media
Recommends	:	mate-menus
Recommends	:	mate-netbook
Recommends	:	mate-notification-daemon
Recommends	:	mate-panel
Recommends	:	mate-power-manager
Recommends	:	mate-settings-daemon
Recommends	:	mate-screensaver
Recommends	:	mate-sensors-applet
Recommends	:	mate-session-manager
Recommends	:	mate-system-monitor
Recommends	:	mate-terminal
Recommends	:	mate-user-guide
Recommends	:	mate-user-share
Recommends	:	mate-utils
Recommends	:	mozo
Recommends	:	mupdf
Recommends	:	oxygen-icons5
Recommends	:	pluma
Recommends	:	sddm
Recommends	:	seahorse
Recommends	:	system-config-printer
Recommends	:	sysvinit
Recommends	:	xscreensaver
Recommends	:	xterm

#Theme definition
Recommends	:	Mojave-gtk-theme
Recommends	:	noto-sans-jp-fonts-full
Recommends	:	noto-sans-kr-fonts-full
Recommends	:	noto-sans-sc-fonts-full
Recommends	:	noto-sans-tc-fonts-full
#extendeed fonts
Recommends	:	xorg-x11-fonts-75dpi
Recommends	:	xorg-x11-fonts-100dpi
Recommends	:	xorg-x11-fonts-cyrillic
Recommends	:	xorg-x11-fonts-ethiopic

Requires(post)	:	/bin/sed

#-----------------------------------------------------------------------------
%description		-n release-mate
This package collect all packages needed to usable mate graphic

#-----------------------------------------------------------------------------
%files			-n release-mate

#-----------------------------------------------------------------------------
%post			-n release-mate
if [ "$1" = 1 ]; then
#moving initdefault to graphic mode
  /bin/sed -i						\
    -e "s/3:initdefault:/5:initdefault:/"		\
    /etc/inittab
  fi

%preun			-n release-mate
if [ "$1" = 0 ]; then
  /bin/sed -i						\
  #moving initdefault to system mode
    -e "s/5:initdefault:/3:initdefault:/"		\
    /etc/inittab
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

#=============================================================================
%package -n		release-desktop-virtual
Summary		:	Packages needed to install a osukiss virtual context

Requires	:	release-applications
Requires	:	release-games
Requires	:	release-minimal
Requires	:	release-mate
Requires	:	release-xorg

#-----------------------------------------------------------------------------
%description -n		release-desktop-virtual
This package collect all packages needed to have a virtual osukiss desktop 

#-----------------------------------------------------------------------------
%files			-n release-desktop-virtual

#=============================================================================
%package -n		release-desktop-hardware
Summary		:	Packages needed to install a osukiss station on hardware

Requires	:	release-desktop-virtual
Requires	:	release-zfs
Recommends	:	smartmontools
Recommends	:	chrony

#-----------------------------------------------------------------------------
%description -n		release-desktop-hardware
This package collect all packages needed to have a desktop on harware device

#-----------------------------------------------------------------------------
%files			-n release-desktop-hardware

#=============================================================================
#defining application release
%package		-n release-applications

Summary		:	Packages needed by graphic application system

Requires	:	%{name}
Recommends	:	HandBrake
Recommends	:	balsa
Recommends	:	bleachbit
Recommends	:	dosbox
Recommends	:	dosemu2
Recommends	:	evolution
Recommends	:	falkon
Recommends	:	firefox
Recommends	:	geany
Recommends	:	gimp
Recommends	:	grisbi
Recommends	:	google-noto-emoji-bw-fonts
Recommends	:	google-noto-emoji-colored-fonts
Recommends	:	gparted
Recommends	:	libreoffice
Recommends	:	MPlayer
Recommends	:	makemkv
Recommends	:	musikcube
Recommends	:	qBittorrent
Recommends	:	qemu
Recommends	:	release-xorg
Recommends	:	terminator
Recommends	:	tagtool
Recommends	:	twinkle
Recommends	:	vlc
Recommends	:	webcamoid
Recommends	:	xfburn
Recommends	:	xfig
Recommends	:	xosview
Recommends	:	zoom

#-----------------------------------------------------------------------------
%description		-n release-applications
This package collect all packages needed to run graphical application

#-----------------------------------------------------------------------------
%files			-n release-applications
#=============================================================================
#defining application release
%package		-n release-games

Summary		:	Packages needed by graphic application system

Requires	:	%{name}
Recommends	:	release-xorg
Recommends	:	aisleriot
Recommends	:	bzflag
Recommends	:	gnome-chess
Recommends	:	gnome-mahjongg
Recommends	:	gnome-mines
Recommends	:	gnome-sudoku
Recommends	:	gnome-games
Recommends	:	five-or-more
Recommends	:	swell-foop

#-----------------------------------------------------------------------------
%description		-n release-games
This package collect all packages needed to run graphical games

#-----------------------------------------------------------------------------
%files			-n release-games

#=============================================================================
#defining Live ISO release
%package		-n release-live

Summary		:	Packages needed to build a live ISO

Requires	:	%{name}
Recommends	:	release-base
Recommends	:	adwaita-icon-theme
Recommends	:	bash
Recommends	:	caja
Recommends	:	calamares
Recommends	:	coreutils
Recommends	:	diffutils
Recommends	:	dhcp-client
Recommends	:	eudev
Recommends	:	gparted
Recommends	:	iana-etc
Recommends	:	linux
Recommends	:	mate-applets
Recommends	:	mate-media
Recommends	:	mate-panel
Recommends	:	mate-control-center
Recommends	:	mate-session-manager
Recommends	:	mate-settings-daemon
Recommends	:	mate-terminal
Recommends	:	mate-themes
Recommends	:	mate-utils
Recommends	:	ok-seed
Recommends	:	openssh-server
Recommends	:	release-xorg
Recommends	:	rpm
Recommends	:	sddm
Recommends	:	setup
Recommends	:	squashfs-tools
Recommends	:	sudo
Recommends	:	sysklogd
Recommends	:	sysvinit
Recommends	:	vim
Recommends	:	xf86-input-libinput
Recommends	:	xf86-video-amdgpu
Recommends	:	xf86-video-ati
Recommends	:	xf86-video-fbdev
Recommends	:	xf86-video-intel
Recommends	:	xf86-video-mga
Recommends	:	xf86-video-nouveau
Recommends	:	xf86-video-vesa
Recommends	:	xorg-libXxf86misc
Recommends	:	xorg-libXxf86vm
Recommends	:	xorg-libXxf86dga
Recommends 	:	zypper

#to configure Live USB key
Requires(post)	:	%{_sysconfdir}/sddm.conf
Requires(post)	:	%{_sysconfdir}/sudoers
Requires(post)	:	%{_sysconfdir}/inittab

#-----------------------------------------------------------------------------
%description		-n release-live
This package list all packages needed to run a graphical live iso

#-----------------------------------------------------------------------------
%files			-n release-live

#-----------------------------------------------------------------------------
%post -n release-live
if [ "$1" = 1 ]; then
  useradd -m -G users,wheel liveuser -p ''
  mkdir -p ~liveuser/Desktop
  sed -i						\
    -e "s/^Relogin=.*/Relogin=True/"			\
    -e "s/^Session=.*/Session=mate.desktop/"		\
    -e "s/^User=.*/User=liveuser/"			\
    %{_sysconfdir}/sddm.conf
  (
  echo "#----------------------------------------"
  echo "#Done by osukiss-release-live"
  echo -e "%wheel\tALL=(ALL)\tNOPASSWD: ALL"
  echo "#----------------------------------------"
  ) >> %{_sysconfdir}/sudoers
  #to use sudo with live user
  sed -i						\
    -e "s:^Exec=pkexec /usr/bin:Exec=sudo /usr/bin:"	\
    %{_datadir}/applications/calamares.desktop
  #to configure calamares desktop
  (
  cd ~liveuser/Desktop
  echo "#!/usr/bin/env xdg-open" > calamares.desktop
  cat							\
    %{_datadir}/applications/calamares.desktop >>	\
    calamares.desktop
  chmod 755 calamares.desktop
  chown -R liveuser:users .
  )
  #To start graphic mode
  sed -i						\
    -e "s/^id:3:/id:5:/"				\
    %{_sysconfdir}/inittab
  fi

%postun -n release-live
if [ "$1" = 0 ]; then
  sed -i						\
    -e "s/Relogin=.*/Relogin=False/"			\
    -e "s/User=.*/User=/"				\
    -e "s/Session=.*/Session=/"				\
    /etc/sddm.conf
    userdel liveuser
  fi

#=============================================================================
%prep 
tar xf %{SOURCE0}
#-----------------------------------------------------------------------------
%build 

cd %{name}-ok_addon

sed -i								\
  -e "s:VERSION_NUMBER::"				\
  %{name}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
cd %{name}-ok_addon

sed -i								\
  -e "s|--RELEASE--|`echo %{relver}.%{srel}`|"			\
  -e "s|--VERSION--|`echo %{relver}`|"				\
  %{name}

sed -i								\
  -e "s:--VERSION--:%{relver}:"					\
  -e "s:--RELEASE--:%{srel}:"					\
  -e "s:--CODENAME--:${CODENAME}:"				\
  os-release

%{__rm} -rf %{buildroot}

%{__mkdir_p} 							\
	%{buildroot}%{_sysconfdir}				\
	%{buildroot}%{_bindir}					\

%{__cp} %{name} %{buildroot}%{_sysconfdir}/
%{__cp} ok_upgrade %{buildroot}%{_bindir}/
%{__cp} os-release %{buildroot}%{_sysconfdir}/
%{__ln_s} %{name} %{buildroot}%{_sysconfdir}/redhat-release
%{__ln_s} %{name} %{buildroot}%{_sysconfdir}/system-release

#-----------------------------------------------------------------------------
%changelog
